package service

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
)

type Service struct {
	Audit   audit
	Service service
}

type ArgsServiceLists struct {
	CustomerId uint
	Status     uint
}

type ReplyServiceLists struct {
	UserServiceId uint   `json:"userServiceId"`
	ServiceId     uint   `json:"serviceId"`
	ServiceName   string `json:"serviceName"`
	EndTime       int64  `json:"endTime"`
	AuditStatus   uint   `json:"auditStatus"`
}

type service struct {
}

// All @Title 全部服务
func (s *service) All(ctx context.Context, customerId uint) (reply []ReplyServiceLists, err error) {
	xClient, err := client.GetClient(s)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "All", customerId, &reply)
	return
}
